/*
 * VITAL-5G Slice Inventory
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.v5g.slicing.client.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * The &#x60;urllc&#x60; data that the Slice Inventory expects from the Slice Plugin that is on each local testbed. To &#x60;add&#x60;, &#x60;update&#x60; or &#x60;remove&#x60; a &#x60;urrlc&#x60; slice
 */
@Schema(description = "The `urllc` data that the Slice Inventory expects from the Slice Plugin that is on each local testbed. To `add`, `update` or `remove` a `urrlc` slice")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-11-29T11:32:05.527Z[GMT]")
public class UrllcSB {
  @SerializedName("sliceId")
  private String sliceId = null;

  @SerializedName("site")
  private String site = null;

  @SerializedName("latency")
  private Integer latency = null;

  @SerializedName("jitter")
  private Integer jitter = null;

  @SerializedName("expDataRateUL")
  private Integer expDataRateUL = null;

  @SerializedName("expDataRateDL")
  private Integer expDataRateDL = null;

  public UrllcSB sliceId(String sliceId) {
    this.sliceId = sliceId;
    return this;
  }

   /**
   * Get sliceId
   * @return sliceId
  **/
  @Schema(description = "")
  public String getSliceId() {
    return sliceId;
  }

  public void setSliceId(String sliceId) {
    this.sliceId = sliceId;
  }

  public UrllcSB site(String site) {
    this.site = site;
    return this;
  }

   /**
   * Get site
   * @return site
  **/
  @Schema(description = "")
  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public UrllcSB latency(Integer latency) {
    this.latency = latency;
    return this;
  }

   /**
   * Get latency
   * @return latency
  **/
  @Schema(description = "")
  public Integer getLatency() {
    return latency;
  }

  public void setLatency(Integer latency) {
    this.latency = latency;
  }

  public UrllcSB jitter(Integer jitter) {
    this.jitter = jitter;
    return this;
  }

   /**
   * Get jitter
   * @return jitter
  **/
  @Schema(description = "")
  public Integer getJitter() {
    return jitter;
  }

  public void setJitter(Integer jitter) {
    this.jitter = jitter;
  }

  public UrllcSB expDataRateUL(Integer expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
    return this;
  }

   /**
   * Get expDataRateUL
   * @return expDataRateUL
  **/
  @Schema(description = "")
  public Integer getExpDataRateUL() {
    return expDataRateUL;
  }

  public void setExpDataRateUL(Integer expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
  }

  public UrllcSB expDataRateDL(Integer expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
    return this;
  }

   /**
   * Get expDataRateDL
   * @return expDataRateDL
  **/
  @Schema(description = "")
  public Integer getExpDataRateDL() {
    return expDataRateDL;
  }

  public void setExpDataRateDL(Integer expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UrllcSB urllcSB = (UrllcSB) o;
    return Objects.equals(this.sliceId, urllcSB.sliceId) &&
        Objects.equals(this.site, urllcSB.site) &&
        Objects.equals(this.latency, urllcSB.latency) &&
        Objects.equals(this.jitter, urllcSB.jitter) &&
        Objects.equals(this.expDataRateUL, urllcSB.expDataRateUL) &&
        Objects.equals(this.expDataRateDL, urllcSB.expDataRateDL);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sliceId, site, latency, jitter, expDataRateUL, expDataRateDL);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UrllcSB {\n");
    
    sb.append("    sliceId: ").append(toIndentedString(sliceId)).append("\n");
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    latency: ").append(toIndentedString(latency)).append("\n");
    sb.append("    jitter: ").append(toIndentedString(jitter)).append("\n");
    sb.append("    expDataRateUL: ").append(toIndentedString(expDataRateUL)).append("\n");
    sb.append("    expDataRateDL: ").append(toIndentedString(expDataRateDL)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
